## pcapfix 0.7.2

=== Makefile ===
all:
	gcc pcapfix.c -o pcapfix

install:
	install -m 755 -d /usr/local/bin/
	install -m 755 -d /usr/local/man/man1
	install -m 755 pcapfix /usr/local/bin/
	install -m 644 pcapfix.1 /usr/local/man/man1/

uninstall:
	rm -rf /usr/local/bin/pcapfix
	rm -rf /usr/local/man/man1/pcapfix.1

clean:
	rm -rf pcapfix

=== debian/changelog ===
pcapfix (0.7.2-1) unstable; urgency=low

  * Initial release (Closes: #705221)

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Wed, 10 Apr 2013 15:39:11 +0000

=== debian/control ===
Source: pcapfix
Section: net
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.4
Homepage: http://f00l.de/pcapfix
Vcs-Browser: http://anonscm.debian.org/git/collab-maint/pcapfix.git
Vcs-Git: git://anonscm.debian.org/collab-maint/pcapfix.git

Package: pcapfix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: tcpdump, wireshark
Description: repairs broken pcap files
 libpcap (Packet CAPture) provides a portable framework for low-level network
 monitoring. Network dumps based on libpcap can be made by tcpdump, wireshark
 and other tools. Sometimes those dumps can get corrupted by several reasons.
 Examples of this are a copy from Linux to Windows with a conversion to DOS/
 Windows text file line ending (CR-LF) or a transfer over FTP in ASCII mode
 instead of BINARY mode.
 .
 pcapfix tries to repair your broken pcap files, fixing the global header and
 recovering the packets by searching and guessing the packet headers.
 .
 pcapfix will first step through the packets top down until it recognizes a
 corrupted one by using plausibility checks. After that the tool will brute
 force further pcap packet headers by reading the file byte by byte. If another
 proper packet is found, pcapfix restores the data in between by adding a
 well-formed pcap packet header.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --parallel

=== debian/watch ===
version=3
http://f00l.de/pcapfix/pcapfix-(.*)\.tar\.gz

## pcapfix 1.0.1

=== Makefile ===
PREFIX = /usr
BINDIR = $(PREFIX)/bin
DOCDIR = $(PREFIX)/share/doc
MANDIR = $(PREFIX)/share/man

OPTFLAGS = $(shell getconf LFS_CFLAGS) -D_FORTIFY_SOURCE=2 -O2 -fstack-protector --param=ssp-buffer-size=4
WARNFLAGS = -Wall -Wextra -pedantic -Wformat -Werror=format-security
DEBUGFLAGS = -g
CFLAGS += $(OPTFLAGS) $(WARNFLAGS) $(DEBUGFLAGS)
LDFLAGS += -Wl,--as-needed,-z,relro

all: pcap pcapng
	gcc $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) pcapfix.c pcap.o pcapng.o -o pcapfix

pcap: pcap.c
	gcc $(CPPFLAGS) $(CFLAGS) -c pcap.c -o pcap.o

pcapng: pcapng.c
	gcc $(CPPFLAGS) $(CFLAGS) -c pcapng.c -o pcapng.o

install:
	install -D -m 755 pcapfix $(DESTDIR)/$(BINDIR)/pcapfix
	install -D -m 644 pcapfix.1 $(DESTDIR)/$(MANDIR)/man1/pcapfix.1

uninstall:
	rm -f $(DESTDIR)/$(BINDIR)/pcapfix
	rm -f $(DESTDIR)/$(MANDIR)/man1/pcapfix.1

clean:
	rm -f *.o
	rm -f pcapfix

=== debian/changelog ===
pcapfix (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: removed GCC hardening because the upstream already is doing.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Sun, 03 Nov 2013 15:34:43 -0200

pcapfix (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Added a new test as example for users (file
    debian/test/test_without_pcap_header.dump)
  * debian/copyright: license changed from GPL-3.0+ to GPL-3.0 because the
    upstream didn't declare about "or any later version" in headers of your
    source code.
  * debian/control:
      - Fixed the VCS-Browser to show the summary instead the git structure.
      - Improved the short and long description because pcapfix now works with
        pcapng too.
  * debian/README.Debian: Improved explanations about the test files.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Sat, 12 Oct 2013 16:36:57 -0300

pcapfix (0.7.3-1) unstable; urgency=low

  * New upstream release.
  * Removed Makefile.patch and pcapfix.1.patch. The upstream
    improved the Makefile and fixed the manpage.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Thu, 01 Aug 2013 08:49:32 -0300

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.9.4
 Homepage: http://f00l.de/pcapfix
-Vcs-Browser: http://anonscm.debian.org/git/collab-maint/pcapfix.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pcapfix.git;a=summary
 Vcs-Git: git://anonscm.debian.org/collab-maint/pcapfix.git
 
 Package: pcapfix
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Enhances: tcpdump, wireshark
-Description: repairs broken pcap files
+Description: repairs broken pcap and pcapng files
  libpcap (Packet CAPture) provides a portable framework for low-level network
  monitoring. Network dumps based on libpcap can be made by tcpdump, wireshark
  and other tools. Sometimes those dumps can get corrupted by several reasons.
@@ -28,3 +28,7 @@
  force further pcap packet headers by reading the file byte by byte. If another
  proper packet is found, pcapfix restores the data in between by adding a
  well-formed pcap packet header.
+ .
+ The PCAP Next Generation Dump File Format (or pcapng for short) is an attempt
+ to overcome the limitations of the currently widely used (but limited) libpcap
+ format. Since 1.0.0 version, pcapfix works with pcapng format too.

=== debian/watch ===
version=3
http://f00l.de/pcapfix/pcapfix-(\d+.*)\.tar\.gz

## pcapfix 1.0.2

=== Makefile ===
PREFIX = /usr
BINDIR = $(PREFIX)/bin
DOCDIR = $(PREFIX)/share/doc
MANDIR = $(PREFIX)/share/man

OPTFLAGS = $(shell getconf LFS_CFLAGS) -D_FORTIFY_SOURCE=2 -O2 -fstack-protector --param=ssp-buffer-size=4
WARNFLAGS = -Wall -Wextra -std=gnu99 -pedantic -Wformat -Werror=format-security
DEBUGFLAGS = -g
CFLAGS += $(OPTFLAGS) $(WARNFLAGS) $(DEBUGFLAGS)
LDFLAGS += -Wl,--as-needed,-z,relro

all: pcap pcapng
	gcc $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) pcapfix.c pcap.o pcapng.o -o pcapfix

pcap: pcap.c
	gcc $(CPPFLAGS) $(CFLAGS) -c pcap.c -o pcap.o

pcapng: pcapng.c
	gcc $(CPPFLAGS) $(CFLAGS) -c pcapng.c -o pcapng.o

install:
	install -pDm755 pcapfix $(DESTDIR)$(BINDIR)/pcapfix
	install -pDm644 pcapfix.1 $(DESTDIR)$(MANDIR)/man1/pcapfix.1

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/pcapfix
	rm -f $(DESTDIR)$(MANDIR)/man1/pcapfix.1

clean:
	rm -f *.o
	rm -f pcapfix

=== debian/changelog ===
pcapfix (1.0.2-2) unstable; urgency=medium

  * Cryptographic signature verification: the upstream is providing a GPG
    signature that allows the tarball verification. Consequently:
      - Added the debian/upstream-signing-key.pgp file.
      - Added the debian/source/include-binaries to allow the
        debian/upstream-signing-key.pgp file use.
      - Updated the debian/watch file.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Mon, 24 Feb 2014 13:29:27 -0300

pcapfix (1.0.2-1) UNRELEASED; urgency=medium

  * New upstream release.
  * debian/control: bumped Standards-Version from 3.9.4 to 3.9.5.
  * debian/copyright: updated the upstream and packaging copyright years.
  * debian/docs: removed the TODO because the upstream no longer provides
    this file.
  * debian/README.Debian: little cosmetic change.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Sun, 23 Feb 2014 19:50:44 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://f00l.de/pcapfix
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pcapfix.git;a=summary
 Vcs-Git: git://anonscm.debian.org/collab-maint/pcapfix.git

## pcapfix 1.1.0

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 WARNFLAGS = -Wall -Wextra -std=gnu99 -pedantic -Wformat -Werror=format-security
 DEBUGFLAGS = -g
 CFLAGS += $(OPTFLAGS) $(WARNFLAGS) $(DEBUGFLAGS)
-LDFLAGS += -Wl,--as-needed,-z,relro
+LDFLAGS += -Wl,-z,relro
 
 all: pcap pcapng
 	gcc $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) pcapfix.c pcap.o pcapng.o -o pcapfix

=== debian/changelog ===
pcapfix (1.1.0-2) unstable; urgency=medium

  * Bumped DH level to 10.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright: updated the packaging copyright years.
  * debian/gbp.conf: no longer used by me... Removed.
  * debian/patches/10_fix-spellings.patch: added to fix some spelling errors in
    manpage.
  * debian/rules:
      - Added the DEB_BUILD_MAINT_OPTIONS variable to improve the GCC hardening.
      - Removed the --parallel option from dh.
  * debian/watch: bumped to version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 10 Oct 2016 13:19:06 -0300

pcapfix (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * New upstream GPG key.
  * Upstream source code relicensed to GPL-3+.
    So, d/copyright updated.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 31 Aug 2014 12:26:59 -0300

pcapfix (1.0.2-3) unstable; urgency=medium

  * New maintainer email address.
  * debian/control:
      - Removed dpkg-dev as build dependency. DH9 no longer uses it.
      - Updated the Vcs-Browser field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 11 Aug 2014 08:42:02 -0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: pcapfix
 Section: net
 Priority: optional
-Maintainer: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.5
+Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Build-Depends: debhelper (>= 10)
+Standards-Version: 3.9.8
 Homepage: http://f00l.de/pcapfix
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pcapfix.git;a=summary
-Vcs-Git: git://anonscm.debian.org/collab-maint/pcapfix.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pcapfix.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/pcapfix.git
 
 Package: pcapfix
 Architecture: any

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
http://f00l.de/pcapfix/pcapfix-(\d\S+)\.tar\.(?:bz2|gz|xz)

## pcapfix 1.1.1

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,18 @@
-PREFIX = /usr
-BINDIR = $(PREFIX)/bin
-DOCDIR = $(PREFIX)/share/doc
-MANDIR = $(PREFIX)/share/man
+PREFIX ?= /usr
+BINDIR ?= $(PREFIX)/bin
+DOCDIR ?= $(PREFIX)/share/doc
+MANDIR ?= $(PREFIX)/share/man
 
 OPTFLAGS = $(shell getconf LFS_CFLAGS) -D_FORTIFY_SOURCE=2 -O2 -fstack-protector --param=ssp-buffer-size=4
 WARNFLAGS = -Wall -Wextra -std=gnu99 -pedantic -Wformat -Werror=format-security
 DEBUGFLAGS = -g
 CFLAGS += $(OPTFLAGS) $(WARNFLAGS) $(DEBUGFLAGS)
-LDFLAGS += -Wl,-z,relro
+OS := $(shell uname)
+ifneq ($(OS), Darwin)
+	LDFLAGS += -Wl,-z,relro
+endif
+
+
 
 all: pcap pcapng
 	gcc $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) pcapfix.c pcap.o pcapng.o -o pcapfix

=== debian/changelog ===
pcapfix (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Migrated DH level to 11.
  * debian/control:
      - Bumped Standards-Version to 4.1.4.
      - Changed Vcs-* URLs to salsa.debian.org.
  * debian/copyright:
      - Updated upstream and packaging copyright years.
      - Using a secure URI in Format field.
  * debian/patches/10_fix-spellings.patch: removed. The upstream fixed
    the source code. Thanks!
  * debian/tests/control: added to implement the autopkgtest.
  * debian/watch: using a secure URI.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 13 Apr 2018 10:43:35 -0300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper (>= 10)
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.1.4
 Homepage: http://f00l.de/pcapfix
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pcapfix.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/pcapfix.git
+Vcs-Browser: https://salsa.debian.org/debian/pcapfix
+Vcs-Git: https://salsa.debian.org/debian/pcapfix.git
 
 Package: pcapfix
 Architecture: any

=== debian/tests/control ===
Test-Command: pcapfix
Depends: @

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://f00l.de/pcapfix/pcapfix-(\d\S+)\.tar\.(?:bz2|gz|xz)

## pcapfix 1.1.4

=== Makefile ===
--- 
+++ 
@@ -14,14 +14,17 @@
 
 
 
-all: pcap pcapng
-	gcc $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) pcapfix.c pcap.o pcapng.o -o pcapfix
+all: pcap pcap_kuznet pcapng
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) pcapfix.c pcap.o pcap_kuznet.o pcapng.o -o pcapfix
 
 pcap: pcap.c
-	gcc $(CPPFLAGS) $(CFLAGS) -c pcap.c -o pcap.o
+	$(CC) $(CPPFLAGS) $(CFLAGS) -c pcap.c -o pcap.o
+
+pcap_kuznet: pcap_kuznet.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) -c pcap_kuznet.c -o pcap_kuznet.o
 
 pcapng: pcapng.c
-	gcc $(CPPFLAGS) $(CFLAGS) -c pcapng.c -o pcapng.o
+	$(CC) $(CPPFLAGS) $(CFLAGS) -c pcapng.c -o pcapng.o
 
 install:
 	install -pDm755 pcapfix $(DESTDIR)$(BINDIR)/pcapfix
@@ -34,4 +37,3 @@
 clean:
 	rm -f *.o
 	rm -f pcapfix
-

=== debian/changelog ===
pcapfix (1.1.4-3) unstable; urgency=medium

  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
  * debian/copyright: updated packaging copyright years.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 24 Feb 2020 13:27:11 -0300

pcapfix (1.1.4-2) unstable; urgency=medium

  * debian/tests/control: fixed to point to debian/examples.d/
    instead of debian/test/. (Closes: #920938)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 06 Feb 2019 12:50:48 -0200

pcapfix (1.1.4-1) unstable; urgency=medium

  * New upstream version 1.1.4.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control: bumped Standards-Version to 4.3.0.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/examples: updated to install debian/examples.d content.
  * debian/source/include-binaries: updated because debian/test was renamed
    to debian/examples.d.
  * debian/test: renamed to debian/examples.d.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 29 Jan 2019 00:36:54 -0200

pcapfix (1.1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bumped Standards-Version to 4.2.1.
  * debian/copyright: updated upstream copyright years.
  * debian/README.Debian: updated to explain about a new test.
  * debian/source/include-binaries: updated.
  * debian/test/:
      - Added a new test: test_2018.pcap.
      - Changed all suffix from dump to pcap.
  * debian/tests/control: updated to use all tests from debian/test directory.
  * debian/watch: added GitHub as an additional repository.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 05 Sep 2018 11:05:55 -0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: net
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://f00l.de/pcapfix
 Vcs-Browser: https://salsa.debian.org/debian/pcapfix
 Vcs-Git: https://salsa.debian.org/debian/pcapfix.git

=== debian/tests/control ===
Test-Command: pcapfix debian/examples.d/test_2018.pcap

Test-Command: pcapfix debian/examples.d/test_damaged.pcap

Test-Command: pcapfix debian/examples.d/test.pcap

Test-Command: pcapfix debian/examples.d/test_without_pcap_header.pcap

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://f00l.de/pcapfix/pcapfix-(\d\S+)\.tar\.(?:bz2|gz|xz)

https://github.com/Rup0rt/pcapfix/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## pcapfix 1.1.7

=== Makefile ===
--- 
+++ 
@@ -7,12 +7,18 @@
 WARNFLAGS = -Wall -Wextra -std=gnu99 -pedantic -Wformat -Werror=format-security
 DEBUGFLAGS = -g
 CFLAGS += $(OPTFLAGS) $(WARNFLAGS) $(DEBUGFLAGS)
+
+# Determine extra LDFLAGS
 OS := $(shell uname)
-ifneq ($(OS), Darwin)
-	LDFLAGS += -Wl,-z,relro
+ifeq ($(findstring Darwin,$(OS)),Darwin)
+   skip_ldflags = yes
 endif
-
-
+ifeq ($(findstring CYGWIN,$(OS)),CYGWIN)
+   skip_ldflags = yes
+endif
+ifndef skip_ldflags
+   LDFLAGS += -Wl,-z,relro
+endif
 
 all: pcap pcap_kuznet pcapng
 	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) pcapfix.c pcap.o pcap_kuznet.o pcapng.o -o pcapfix
@@ -26,10 +32,12 @@
 pcapng: pcapng.c
 	$(CC) $(CPPFLAGS) $(CFLAGS) -c pcapng.c -o pcapng.o
 
+.PHONY: install
 install:
 	install -pDm755 pcapfix $(DESTDIR)$(BINDIR)/pcapfix
 	install -pDm644 pcapfix.1 $(DESTDIR)$(MANDIR)/man1/pcapfix.1
 
+.PHONY: uninstall
 uninstall:
 	rm -f $(DESTDIR)$(BINDIR)/pcapfix
 	rm -f $(DESTDIR)$(MANDIR)/man1/pcapfix.1

=== debian/changelog ===
pcapfix (1.1.7-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/copyright:
      - Converted the last paragraph of the GPL-3 in a comment.
      - Updated packaging copyright years.
  * debian/source/lintian-overrides: created to override messages about
    captures created by tcpdump.
  * debian/tests/control: improved all tests making checks over the results.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 25 Nov 2022 23:27:08 -0300

pcapfix (1.1.7-1) unstable; urgency=medium

  * New upstream version 1.1.7.
  * debian/control: bumped Standards-Version to 4.5.1.
  * debian/copyright: updated packaging and upstream copyright years.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 15 Aug 2021 21:38:30 -0300

pcapfix (1.1.4-4) unstable; urgency=medium

  * debian/control: bumped DH level to 13.
  * debian/upstream/metadata: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 07 Jul 2020 23:05:51 -0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://f00l.de/pcapfix
 Vcs-Browser: https://salsa.debian.org/debian/pcapfix

=== debian/tests/control ===
Test-Command: pcapfix debian/examples.d/test_2018.pcap |
              grep -C20 'This is a PCAP file'

Test-Command: pcapfix debian/examples.d/test_damaged.pcap |
              grep -C20 'This is a PCAP file'

Test-Command: pcapfix debian/examples.d/test.pcap |
              grep -C20 'This is a PCAP file'

Test-Command: pcapfix debian/examples.d/test_without_pcap_header.pcap |
              grep -C20 'Unknown file type. Assuming PCAP format.'

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://f00l.de/pcapfix/pcapfix-(\d\S+)\.tar\.(?:bz2|gz|xz)

https://github.com/Rup0rt/pcapfix/tags .*/tags/v?(\d\S+)\.tar\.(?:bz2|gz|xz)
